<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
				<h3>Form-M Application Form</h3>
				<h4 id="free0"><span id="status"></span></h4>
			</div>
			<div class="12u$ 12u$(medium)">
				<oj-train id="train"
						class="oj-train-stretch"
						style="max-width:100%;margin-left:auto;margin-right:auto;"
						on-oj-select="[[updateStepsAction]]"
						on-oj-before-deselect="[[updateBeforeStepsAction]]"
						on-oj-deselect="[[deselectStepAction]]"
						selected-step="{{selectedStepValue}}"
						steps="[[stepArray]]">
				</oj-train>
			</div>
			
			<div class="12u 12u$(medium)">
				
				<div id="dvstep0" style='display:block;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<br/>
						<p>In arcu accumsan arcu adipiscing accumsan orci ac. Felis id enim aliquet. Accumsan ac integer lobortis commodo ornare aliquet accumsan erat tempus amet porttitor. Ante commodo blandit adipiscing integer semper orci eget. Faucibus commodo adipiscing mi eu nullam accumsan morbi arcu ornare odio mi adipiscing nascetur lacus ac interdum morbi accumsan vis mi accumsan ac praesent.</p>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="txtFormType">Form Type</oj-label>
						<oj-input-text placeholder='Form Type' id="txtFormType" value="[[formType]]"  inputmode="text" disabled="true"
										style='max-width: 100%; font-size: 12pt; color:#FF0000;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						&nbsp;&nbsp;<br/><br/>
						<span>Valid for Forex&nbsp;</span><oj-switch id="ckFXValidity" value="{{isChecked}}"></oj-switch>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbPrefix">Prefix</oj-label>
						<div class="select-wrapper">
							<select id="cbPrefix" data-bind="options: prefixList,
								   optionsText: 'label',
								   optionsValue: 'value',
								   optionsCaption: 'Choose Prefix...'" required>
							</select>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="cbBranch">Bank Branch</oj-label>
						<div class="select-wrapper">
							<select id="cbBranch" data-bind="options: branches,
								   optionsText: 'description',
								   optionsValue: 'branchid',
								   value: val,
								   optionsCaption: 'Choose Branch...'" required>
							</select>
						</div>
					</div>
					<div class="12u$ 12u$(medium)">
						<oj-label for="txtGeneralDesc">General Description</oj-label>
						<oj-text-area id="txtGeneralDesc" rows="4" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'></oj-text-area>
					</div>
					
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt medium fit" data-bind="click: nextStepsAction">Save &amp; Continue ...</a>
						<!-- <button id= "btnCheck" class="button alt fit" chroming="outlined"
						data-bind="click: nextStepsAction,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button> -->
					</div>
					<div style="height:100px;" class="12u$ 12u$(small)">
						<br/>
					</div>
					
				</div>
				
				<div id="dvstep1" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Applicant Details</h4></span>
						
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantName">Full Name</oj-label>
						<oj-input-text placeholder='Applicant Name' id="txtApplicantName"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantNumber">Account Number</oj-label>
						<oj-input-text placeholder='Applicant Account Number' id="txtApplicantNumber"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="cbApplicantState">State</oj-label>
						<div class="select-wrapper">
							<select id="cbApplicantState" data-bind="options: lovStates,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose State...'" required>
							</select>
						</div>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantRCNo">RC Number</oj-label>
						<oj-input-text placeholder='Applicant RC Number' id="txtApplicantRCNo"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantTIN">Tax Identification Number</oj-label>
						<oj-input-text placeholder='Applicant Tax Identification No' id="txtApplicantTIN"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtApplicantEmail">Email Address</oj-label>
						<oj-input-text placeholder='Applicant Email Address' id="txtApplicantEmail"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										validators="[[emailPatternValidator]]"></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantPhone">Phone Number</oj-label>
						<oj-input-text placeholder='Applicant Phone Number' id="txtApplicantPhone"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtApplicantFax">Fax Number</oj-label>
						<oj-input-text placeholder='Applicant Fax' id="txtApplicantFax"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="12u$ 12u$(small)">
						<oj-label for="txtApplicantAddr">Address</oj-label>
						<oj-input-text placeholder='Applicant Contact Address' id="txtApplicantAddr"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantCity">City</oj-label>
						<oj-input-text placeholder='Applicant City' id="txtApplicantCity"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicantNEPC">NEPC Registration No.</oj-label>
						<oj-input-text placeholder='Applicant NEPC Registration No.' id="txtApplicantNEPC"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtApplicantPass">Pass</oj-label>
						<oj-input-text placeholder='Applicant Fax' id="txtApplicantPass"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Save &amp; Continue ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-next" data-bind="click: defaultNextStep">Skip/Next ...</a>
					</div>
					
				</div>
				<div id="dvstep2" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Beneficiary Details</h4></span>
						
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtBeneName">Full Name</oj-label>
						<oj-input-text placeholder='Beneficiary Name' id="txtBeneName"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="8u$ 12u$(small)">
						<oj-label for="txtBeneEmail">Email Address</oj-label>
						<oj-input-text placeholder='Beneficiary Email Address' id="txtBeneEmail"  inputmode="email"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										validators="[[emailPatternValidator]]"></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtBenePhone">Phone Number</oj-label>
						<oj-input-text placeholder='Beneficiary Phone Number' id="txtBenePhone"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtBeneFax">Fax</oj-label>
						<oj-input-text placeholder='Beneficiary Fax' id="txtBeneFax"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtBeneZip">Zip</oj-label>
						<oj-input-text placeholder='Beneficiary Zip' id="txtBeneZip"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbBeneCountry">Country</oj-label>
						<div class="select-wrapper">
							<select id="cbBeneCountry" data-bind="options: countries,
								   optionsText: 'name',
								   optionsValue: 'code',
								   value: currentCountry,
								   optionsCaption: 'Choose Country ...'" required>
							</select>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="txtBeneOrderer">By Order of</oj-label>
						<oj-input-text placeholder='By Order of...' id="txtBeneOrderer"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="12u$ 12u$(small)">
						<oj-label for="txtBeneAddr">Address</oj-label>
						<oj-input-text placeholder='Beneficiary Contact Address' id="txtBeneAddr"  inputmode="email"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Save &amp; Continue ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-next" data-bind="click: defaultNextStep">Skip/Next ...</a>
					</div>
				</div>
				<div id="dvstep3" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Transportation</h4></span>
						
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbCustomsOffice">Customs Office</oj-label>
						<div class="select-wrapper">
							<select id="cbCustomsOffice" data-bind="options: lovCustomsOffices,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Customs Office...'" required>
							</select>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="cbShipmentMode">Mode of Transportation</oj-label>
						<div class="select-wrapper">
							<select id="cbShipmentMode" data-bind="options: lovTransportModes,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Mode of Transport...'" required>
							</select>
						</div>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbOriginCountry">Country of Origin</oj-label>
						<div class="select-wrapper">
							<select id="cbOriginCountry" data-bind="options: countries,
								   optionsText: 'name',
								   optionsValue: 'code',
								   value: currentCountry,
								   optionsCaption: 'Choose Country of Origin...'" required>
							</select>
						</div>
						
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="cbSupplyCountry">Country of Supply</oj-label>
						<select id="cbSupplyCountry" data-bind="options: countries,
								   optionsText: 'name',
								   optionsValue: 'code',
								   value: currentCountry,
								   optionsCaption: 'Choose Country of Supply...'" required>
							</select>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbPortLoading">Actual Port of Loading</oj-label>
						<oj-input-text placeholder='Port of Loading' id="cbPortLoading"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
						
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="cbPortDischarge">Actual Port of Discharge</oj-label>
						<select id="cbPortDischarge" data-bind="options: lovPorts,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Actual Port of Discharge...'" required>
							</select>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="txtAgent">Inspection Agent</oj-label>
						<oj-input-text placeholder='Inpspection Agent' id="txtAgent"  inputmode="number" value="DI77009"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="txtShipmentDate">Shipment Date</oj-label>
						<oj-input-date id="txtShipmentDate" value="{{validityDate}}" converter=[[dateConverter]]></oj-input-date>
					</div>
					
					
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Save & Continue ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-next" data-bind="click: defaultNextStep">Skip/Next ...</a>
					</div>
				</div>
				<div id="dvstep4" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Financials</h4></span>
						
					</div>
					
					<div class="4u 12u$(small)">
						<oj-label for="cbFundSource">Source of Funds</oj-label>
						<div class="select-wrapper">
							<select id="cbFundSource" data-bind="options: lovFundSources,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Source of Funds...'" required>
							</select>
						</div>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="cbCurrency">Currency Code</oj-label>
						<div class="select-wrapper">
							<select id="cbCurrency" data-bind="options: lovCurrencies,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Currency...'" required>
							</select>
						</div>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtExchangeRate">Exchange Rate</oj-label>
						<oj-input-text placeholder='Exchange Rate' id="txtExchangeRate"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtTotalFOB">Total FOB Value</oj-label>
						<oj-input-text placeholder='Total FOB Value' id="txtTotalFOB" disabled inputmode="text" value="{{totalFOBValue}}"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' value="0"
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtFCharge">Total Freight Charge*</oj-label>
						<oj-input-text placeholder='Total Freight Charge' id="txtFCharge"  inputmode="text" value="{{totalFreightValue}}"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtAncilary">Ancilary Charge</oj-label>
						<oj-input-text placeholder='Ancilary Charge' id="txtAncilary"  inputmode="number"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'  value="{{ancilaryCharge}}"
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtInsurance">Insurance Value</oj-label>
						<oj-input-text placeholder='Insurance Value' id="txtInsurance"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtTotalCF">Total C&amp;F Value</oj-label>
						<oj-input-text placeholder='Total CF Value' id="txtTotalCF" disabled  inputmode="text" value="{{totalCFValue}}"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtFOC">Total FOC</oj-label>
						<oj-input-text placeholder='Total FOC' id="txtFOC" disabled inputmode="number" value="{{totalFOC}}"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' value="0"
										></oj-input-text>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="txtInvoiceNo">Proforma Invoice Number</oj-label>
						<oj-input-text placeholder='Proforma Invoice Number' id="txtInvoiceNo"  inputmode="number"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="txtInvoiceDate">Proforma Invoice Date</oj-label>
						<oj-input-date id="txtInvoiceDate" converter=[[dateConverter]]></oj-input-date>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbPaymentMode">Payment Mode</oj-label>
						<div class="select-wrapper">
							<select id="cbPaymentMode" data-bind="options: lovPaymentModes,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Payment Mode...'" required>
							</select>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="txtPaymentDate">Payment Date</oj-label>
						<oj-input-date id="txtPaymentDate" converter=[[dateConverter]]></oj-input-date>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="6u 12u$(small)">
						<oj-label for="cbTransferMode">Transfer Mode</oj-label>
						<div class="select-wrapper">
							<select id="cbTransferMode" data-bind="options: lovTransferModes,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Mode of Transport...'" required>
							</select>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-label for="cbTermsDelivery">Terms of Delivery</oj-label>
						<div class="select-wrapper">
							<select id="cbTermsDelivery" data-bind="options: lovDeliveryTerms,
								   optionsText: 'description',
								   optionsValue: 'code',
								   optionsCaption: 'Choose Mode of Transport...'" required>
							</select>
						</div>
					</div>
					
					
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Save &amp; Continue ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-next" data-bind="click: defaultNextStep">Skip/Next ...</a>
					</div>
				</div>
				<div id="dvstep5" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<div id="dvItem" style='display:none;' class="row uniform">
							<div class="12u$ 12u$(small)">
							<p>To add a new item/goods, click on the Add New Item .</p>
							</div>
							<div class="8u 12u$(small)">
								<oj-label for="cbHscode">HS Code</oj-label>
								<div class="select-wrapper">
									<oj-select-one id="cbHscode" options="[[hscodes]]" minimum-results-for-search="1"
										placeholder="[['Select a HSCode']]" style="max-width:100%">
									</oj-select-one>
								</div>
							</div>
							<div class="4u$ 12u$(small)">
								&nbsp;&nbsp;<br/>
								<span>Free of Charge&nbsp;</span><oj-switch id="chkFreeCharge" value="{{isFreeChargeChecked}}"></oj-switch>
							</div>
							<div class="12u$ 12u$(medium)">
								<oj-label for="txtDesc">Commercial Description of Goods</oj-label>
								<oj-text-area id="txtDesc" rows="4" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'></oj-text-area>
							</div>
							<div class="4u 12u$(small)">
								<oj-label for="cbGoodState">State of Goods *</oj-label>
								<select id="cbGoodState" data-bind="options: lovStateOfGoods,
										   optionsText: 'description',
										   optionsValue: 'code',
										   optionsCaption: 'Choose State of Goods...'" required>
									</select>
							</div>
							<div class="4u 12u$(small)">
								<oj-label for="cbGoodsOriginCountry">Country of Origin *</oj-label>
								<div class="select-wrapper">
									<select id="cbGoodsOriginCountry" data-bind="options: countries,
										   optionsText: 'name',
										   optionsValue: 'code',
										   optionsCaption: 'Choose Country of Origin...'" required>
									</select>
								</div>
							</div>
							<div class="4u$ 12u$(small)">
								<oj-label for="cbSectoral">Sectoral Purpose *</oj-label>
								<div class="select-wrapper">
									<select id="cbSectoral" data-bind="options: lovSectoralPurposes,
										   optionsText: 'description',
										   optionsValue: 'code',
										   optionsCaption: 'Choose Sectoral Purpose...'" required>
									</select>
								</div>
							</div>
							<div class="4u 12u$(small)">
								<oj-label for="txtPackage">Packages</oj-label>
								<oj-input-text placeholder='Packages' id="txtPackage"  inputmode="number"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							<div class="4u 12u$(small)">
								<oj-label for="cbPackageUnit">Packages Unit</oj-label>
								<div class="select-wrapper">
									<select id="cbPackageUnit" data-bind="options: lovUnit,
										   optionsText: 'description',
										   optionsValue: 'code',
										   optionsCaption: 'Choose Package Unit...'" required>
									</select>
								</div>
							</div>
							<div class="4u$ 12u$(small)">
								<oj-label for="txtNetWeight">Net Weight (KG)</oj-label>
								<oj-input-text placeholder='Net Weight' id="txtNetWeight"  inputmode="number"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							<div class="4u 12u$(small)">
								<oj-label for="txtQty">Quantity/Unit of Measurement</oj-label>
								<oj-input-text placeholder='Quantity' id="txtQty"  inputmode="number" value="{{goodsQty}}"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							<div class="4u 12u$(small)">
								<oj-label for="cbMeasureUnit">Measurement Unit</oj-label>
								<div class="select-wrapper">
									<select id="cbMeasureUnit" data-bind="options: lovUnit,
										   optionsText: 'description',
										   optionsValue: 'code',
										   optionsCaption: 'Measurement Unit...'" required>
									</select>
								</div>
							</div>
							<div class="4u$ 12u$(small)">
								<oj-label for="txtUnitPrice">Unit Price (Currency)</oj-label>
								<oj-input-text placeholder='' id="txtUnitPrice"  inputmode="number" value="{{unitPrice}}"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							
							<div class="4u 12u$(small)">
								<oj-label for="txtGoodFOB">FOB Value</oj-label>
								<oj-input-text placeholder='' id="txtGoodFOB" disabled  inputmode="number" value="{{fobValue}}"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							<div class="8u$ 12u$(small)">
								<oj-label for="txtGoodFCharge">Freight Charges(Currency) * [Auto Computed]</oj-label>
								<oj-input-text placeholder='' id="txtGoodFCharge" disabled inputmode="number" value="{{freightValue}}"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							
							
							<div class="4u 12u$(small)">
								<a href="#" class="button special small fit icon fa-next" data-bind="click: saveItemAction">Add Goods</a>
								
							</div>
							<div class="4u$ 12u$(small)">
								<a href="#" class="button default small fit icon fa-next" data-bind="click: cancelNewItemAction">Cancel</a>
							</div>
						</div>
					</div>
					
					<div class="12u$ 12u$(small)">
						<div id="dvItemList" style='display:block;' class="row uniform">
							<div class="12u$ 12u$(small)">
								<hr/>
								List of Added Items
								<hr/>
							</div>
							<div class="12u$ 12u$(small)">
							<oj-table id="savedGoodsTable" aria-label="HSCode"
								data='[[uploadPaginDataSource]]'
								selection-mode='{"row": "single"}'
								columns-default='{"sortable": "enabled"}' 
								columns='[{"headerText": "HS Code", "field": "hscode"},
										  {"headerText": "Description", "field": "description"},
										  {"headerText": "State of Goods", "field": "stateOfGoods"},
										  {"headerText": "Country of Origin", "field": "countryOfOrigin"},
										  {"headerText": "Sectoral Purpose", "field": "sectoralPurpose"},
										  {"headerText": "Net Weight", "field": "netWeight"},
										  {"headerText": "FOB Value", "field": "fobValue"},
										  {"headerText": "Freight Charge", "field": "freightCharge"}
										 ]'
								style='max-width:100%; width: 100%; height:100%;'>
								<oj-paging-control id="paging" data='[[uploadPaginDataSource]]' page-size='15' slot='bottom'>
								</oj-paging-control>
							</oj-table>
							</div>
						</div>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" id="cmdNewItem" class="button default small fit icon fa-next" data-bind="click: addNewItemAction">Add New Item</a>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-next" data-bind="click: defaultNextStep">Next/Skip ...</a>
						
					</div>
					<!--
					<div class="4u$ 12u$(small)">
						<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: defaultNextStep,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button>
					</div>
					-->
				</div>
				<div id="dvstep6" style='display:none;' class="row uniform">
					<!-- remove later -->
					<div class="12u$ 12u$(small)">
					<p>&nbsp;</p>
					</div>
					
					
					<div class="6u 12u$(small)">
						<div class="row uniform oj-panel oj-panel-alt6 oj-panel-shadow-sm">
							<div class="12u$ 12u$(small)">
								<oj-file-picker on-oj-select='[[selectListener]]' style='max-width: 100%;'>
									<div tabindex='0' slot='trigger'
										  class='oj-filepicker-dropzone'>
									   <p class='oj-filepicker-text'><br/>I'm a clickable dropzone</p>
									</div>
								</oj-file-picker>
								<br/>
								<div style="width: 100%;">
								  <oj-progress value="{{progressValue}}" class='oj-progress-bar-embedded' 
									max="100" style="height:30px;"></oj-progress>
								  <div class="oj-progress-bar-start-label">0%</div>
								  <div class="oj-progress-bar-end-label">100%</div>
								</div>
								<br/>
								<span id="selectedFile"></span>
							</div>
							<div class="12u$ 12u$(small)">
								<div class="select-wrapper">
									<select id="cbDocType" data-bind="options: docTypes,
										   optionsText: 'label',
										   optionsValue: 'value',
										   value: val,
										   optionsCaption: 'Choose Document Type...'" required>
									</select>
								</div>
							</div>
							<div class="12u$ 12u$(small)">
								<oj-input-text placeholder='Meta-Data' id="txtAnnotation"  inputmode="text"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							<div class="6u$ 12u$(small)">
								<a href="#" class="button alt small fit icon fa-next" data-bind="click: saveAttachments">Save Uploaded File</a>
								<!-- <button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
								data-bind="click: saveAttachments,
										   ojComponent: { component: 'ojButton', label: 'Submit Form' }">
								</button> -->
							</div>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-table id="table" aria-label="Attachments"
							data='[[attachmentDataProvider]]'
							selection-mode='{"row": "single"}'
							columns-default='{"sortable": "enabled"}' 
							columns='[{"headerText": "Document Name", 
									   "field": "documentName"},
									  {"headerText": "Document Type", 
									   "field": "documentType"},
									  {"headerText": "Description", 
									   "field": "description"}
									 ]'
							style='width: 100%; height:100%;'>
						</oj-table>
					</div>
					
					<div class="12u$ 12u$(small)">
						<span id="dstatus"></span>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-next" data-bind="click: attachmentNextStep">Skip/Next ...</a>
						
					</div>
					<!-- remove end -->
				</div>
				<div id="dvstep7" style='display:none;' class="row uniform">
					<!--
					<div class="12u$ 12u$(small)">
						<div class="select-wrapper">
							<select id="basicSelect" data-bind="options: branches,
								   optionsText: 'label',
								   optionsValue: 'value',
								   value: val,
								   optionsCaption: 'Choose...'" onChange="alert(this.value);">
							</select>
						</div>
					</div> 
					-->
					<div class="12u$ 12u$(small)">
						<span id="message"></span>
					</div>
					<div class="6u$ 12u$(small)">
						<span class="oj-choice-item">
							<input id="chkAgree" type="checkbox" class="oj-checkbox-nocomp" data-bind="checked: checkedPlaceholder"/>
							<label for="chkAgree">I do confirm that all entries and attachments are correct.</label>
						</span>
					</div>
					
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: completeButtonAction">Agree and Complete</a>
					</div>
					
				</div>
			</div>
			
		</div>
	</div>
</section>


